Bug 25762 - Vorauswahl des Computerraumes
Vorauswahl des Computerraumes
Status: CLOSED FIXED
Product: UCS@school
Classification: Unclassified
Component: UMC - Computer room
UCS@school 3.0
Other Linux
: P4 enhancement (vote)
: UCS@school 3.2 R2
Assigned To: Florian Best
Sönke Schwardt-Krummrich
:
: 26357 (view as bug list)
Depends on: 34025 34773
Blocks: 34288
  Show dependency treegraph
 
Reported: 2012-01-06 13:52 CET by Jan Christoph Ebersbach
Modified: 2014-08-03 20:40 CEST (History)
5 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Flags outvoted (downgraded) after PO Review:
Ticket number:
Bug group (optional): Usability
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Christoph Ebersbach univentionstaff 2012-01-06 13:52:26 CET
Von einem Kunden wurde an Ticket #2011121421003451 der Wunsch geäußert, dass Lehrer nicht mehr manuell den Raum in der Computerraum-Administration auswählen müssen. Es ist über iTalc/Samba bekannt an welchem PC der Lehrer arbeitet, somit könnte eine sinnvolle Vorauswahl des Raums durchgeführt werden. Eine nachträgliche Auswahl eines anderen Raums muss natürlich weiterhin möglich sein.
Comment 1 Jan Christoph Ebersbach univentionstaff 2012-03-05 16:07:30 CET
*** Bug 26357 has been marked as a duplicate of this bug. ***
Comment 2 Alexander Kläser univentionstaff 2013-05-07 10:22:33 CEST
Dies ist nicht nur für die Administration der Computerräume interessant, sondern wahrscheinlich noch viel mehr für das Computerraum-Modul selber, welches prinzipiell häufiger zur Anwendung kommt als die Administration der Räume.
Comment 3 Sönke Schwardt-Krummrich univentionstaff 2014-02-13 16:25:11 CET
We should add generic way to detect the IP address/host of the UMC user. E.g. adding a generic function to UMC webserver that returns the IP address of the currently requesting HTTP client. This way the UMC frontend is able to determine the IP address and do some clever stuff like detecting in which room the user's computer is located.
It should work with IPv4 and IPv6. Additionally within the proxy.pac the school DC should be added to the proxy exclude list, otherwise this feature wont work.
Comment 4 Florian Best univentionstaff 2014-02-24 17:30:41 CET
should the room only be preselected or directly opened?
Comment 5 Jan Christoph Ebersbach univentionstaff 2014-02-24 18:05:16 CET
I'd suggest to open it directly.  If it's actually the wrong room, the teacher can easily change it.
Comment 6 Sönke Schwardt-Krummrich univentionstaff 2014-02-25 09:29:38 CET
(In reply to Jan Christoph Ebersbach from comment #5)
> I'd suggest to open it directly.  If it's actually the wrong room, the
> teacher can easily change it.

I'm not sure if all users realise which room is currently shown in the computerroom module if the selection dialog does not pop up. For the experienced users I would second that the selection dialog should not pop up, but for new users or in stressful situations it may lead to operating errors.
Comment 7 Florian Best univentionstaff 2014-03-07 14:55:56 CET
Implemented, not built yet.
Comment 8 Florian Best univentionstaff 2014-03-13 09:33:46 CET
Packages built:
ucs-school-lib 5.0.0-1.82.201403130913
ucs-school-umc-computerroom 5.0.0-1.136.201403130916
Comment 9 Sönke Schwardt-Krummrich univentionstaff 2014-03-18 15:26:10 CET
Two customers reported that a lot of teachers have problems with the room selection popup and don't know what to select. In contrast to my statement in comment 6, we should open the room directly and should not show the popup if the module is opened.
Comment 10 Florian Best univentionstaff 2014-04-10 14:34:26 CEST
The room is not opened directly.

QA: The following scenarios exists:
the computerroom-selection-dialog should be shown when:
* the IP could not be get from UMC-webserver (server-fault)
* the IP does not belong to any computer in any room
* the IP belongs to a computer which is not member of a room
* the command to guess the room fails (server-fault)
the room should be directly opened when:
* the computer(IP of client) exists in a computerroom

No confirm message is prompted when the room is already in use by another teacher.

Package: ucs-school-umc-computerroom
Version: 5.0.1-1.137.201404101432
Comment 11 Sönke Schwardt-Krummrich univentionstaff 2014-04-23 14:49:24 CEST
(In reply to Florian Best from comment #10)
> The room is not opened directly.
> 
> QA: The following scenarios exists:
> the computerroom-selection-dialog should be shown when:
> * the IP could not be get from UMC-webserver (server-fault)

We should remove the dependency to 
"univention-management-console-web-server (>= 3.0.152-23)". The erratum has not been published yet and therefore the computerroom module is currently not installable although it should generally work (but without the new feature of this bug).

This is important for the 3.2 R2 milestone.
Comment 12 Sönke Schwardt-Krummrich univentionstaff 2014-04-23 14:59:53 CEST
(In reply to Sönke Schwardt-Krummrich from comment #11)
> We should remove the dependency to 
> "univention-management-console-web-server (>= 3.0.152-23)". The erratum has
> not been published yet and therefore the computerroom module is currently
> not installable although it should generally work (but without the new
> feature of this bug).
> 
> This is important for the 3.2 R2 milestone.

→ Fixed
Comment 13 Sönke Schwardt-Krummrich univentionstaff 2014-04-24 15:26:58 CEST
(In reply to Florian Best from comment #10)
> The room is not opened directly.
> 
> QA: The following scenarios exists:
> the computerroom-selection-dialog should be shown when:
> * the IP could not be get from UMC-webserver (server-fault)

UCS@school should also be installable with UCS 3.2-0 and the UMC webserver erratum #34288 will be shipped only for UCS 3.2-1. So the computerroom/browser should not show an error message if it tries to fetch the IP address from an older UMC web server → REOPEN
Comment 14 Sönke Schwardt-Krummrich univentionstaff 2014-04-30 12:01:26 CEST
The computerroom should not be taken over automatically, if a teacher opens the computerroom and his client/browser is recognized by its IP address.
If a room is blocked by different user, the known "do you want to take control of this room" dialog should popup. If the user does not take control of this room, the room selection dialog shall appear.

Please also have a look at Bug 34602. Maybe its easier to fix both bugs in one step. If Bug 34602 required more effort, the skip bug 34602. It will be fixed later on.
Comment 15 Florian Best univentionstaff 2014-05-05 11:29:55 CEST
(In reply to Sönke Schwardt-Krummrich from comment #14)
> The computerroom should not be taken over automatically, if a teacher opens
> the computerroom and his client/browser is recognized by its IP address.
> If a room is blocked by different user, the known "do you want to take
> control of this room" dialog should popup. If the user does not take control
> of this room, the room selection dialog shall appear.
→ OK, fixed.

> Please also have a look at Bug 34602. Maybe its easier to fix both bugs in
> one step. If Bug 34602 required more effort, the skip bug 34602. It will be
> fixed later on.
This is a different thing.

ucs-school-umc-computerroom (5.0.2-1)
Comment 16 Sönke Schwardt-Krummrich univentionstaff 2014-05-18 13:13:45 CEST
Tested with 2 teacher accounts and 3 rooms. To each room one computer has been assigned. Upon opening the computerroom module from a computer assigned to a room, the correct room has been opened automatically. If a "unknown" computer/IP address is used, the room selection dialog is shown.
If the room is already used by another user, the "takeover dialog" is shown. Switching manually to a different room is also possible.

OK: functionality
OK: code change
FIXED: a changelog entry has been added

→ VERIFIED
Comment 17 Sönke Schwardt-Krummrich univentionstaff 2014-06-12 09:19:27 CEST
UCS@school 3.2 R2 has been released:
http://docs.univention.de/release-notes-ucsschool-3.2R2-de.html

If this error occurs again, please use "Clone This Bug".